<div class="animated fadeIn">
  <div class="row">
    <div class="col-lg-12">
      <div class="card">
        <table class="table table-bordered">
          <thead>
          <tr>
            <th class="text-center">Name</th>
            <th class="text-center">Period</th>
            <th class="text-center">Account</th>
            <th class="text-center">Mail Sender</th>
            <th class="text-center">State</th>
            <th class="text-center">Report Form</th>
            <th class="text-center">Action</th>
          </tr>
          </thead>
          <tbody>
          <tr [formGroup]="reportForm">
            <td>
              <input class="form-control" [placeholder]="'name'" type="text" formControlName="name">
            </td>
            <td>
              <select formControlName="period" class="form-control float-left">
                <ng-container *ngFor="let period of PeriodOption">
                  <option value="{{period.value}}" [defaultSelected]="report.period">
                    {{ period.label }}
                  </option>
                </ng-container>á
              </select>
            </td>
            <td>
              <div formArrayName="account_id" class="dropup" (change)="updateAccount($event)">
                <div class="dropdown" dropdown insideClick="true" autoClose="true">
                  <button class="btn btn-secondary dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" dropdownToggle (click)="false">
                    Account
                  </button>
                  <div class="dropdown-menu dropdown-menu-right" *dropdownMenu aria-labelledby="simple-dropdown">
                    <div *ngFor="let account of accounts; let i = index" class="form-check form-check-inline dropdown-item">
                      <input class="form-check-input" type="checkbox" value="{{account.id}}" [checked]="account.checked">
                      <label class="form-check-label">{{account.name}}</label>
                    </div>
                  </div>
                </div>
              </div>
            </td>
            <td>
              <select
                class="form-control" formControlName="mail_sender_id" id="field_report_mail">
                <ng-container *ngFor="let mailsender of mailsenders; let i = index">
                  <option value="{{mailsender.id}}" [defaultSelected]="report.mail_sender">{{mailsender.email}}</option>
                </ng-container>
              </select>
            </td>
            <td class="text-center">
              <label class="switch switch-pill switch-success">
                <input type="checkbox" class="switch-input" formControlName="state">
                <span class="switch-slider"></span>
              </label>
            </td>
            <td class="text-center">
              <button type="buttoon" class="btn btn-sm btn-primary" (click)="openReportForm(report_form)"><i class="icon-pencil"></i></button>
            </td>
            <td class="text-center">
              <button (click)="save()"
                      class="btn btn-primary btn-sm">
                <i class="fa fa-save"></i>
                <span class="d-none d-md-inline">{{'common.save' | translate}}</span>
              </button>
            </td>
          </tr>
          </tbody>
        </table>
      </div>
    </div>
  </div>
  <button type="submit"
          (click)="previousState()"
          class="btn btn-info">
    <i class="fa fa-arrow-left"></i>&nbsp;<span> Back</span>
  </button>
</div>
<ng-template #report_form let-modal>
  <div class="modal-header">
    <h4 class="modal-title">{{'report.add.report_form' | translate}}</h4>
    <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <form [formGroup]="reportForm">
      <div class="row justify-content-center">
        <quill-editor
          [bounds]="'self'"
          [style]="{ height: '300px', margin: '2px'}"
          formControlName="report_form"
          [format]="'text'"
        ></quill-editor>
      </div>
    </form>
  </div>
  <div class="modal-footer">
    <button type="button" class="btn btn-primary"
            (click)="modal.close('Save click')"
            [disabled]="!reportForm.get('report_form').valid">
      {{'common.save' | translate}}
    </button>
  </div>
</ng-template>
